ICT Time Now
ICT is the abbreviation of Indochina Time. Time zone offset of ICT is UTC+07. Indochina Time is 7 hours ahead from the UTC universal time. ICT current date is 9th Monday November 2026. Current time in ICT (ICT).
ICT Time
18:34:56
9 November 2026 Monday
ICT is the short form of Indochina Time, a very commonly referred to general time standard used at quite a large territory of Southeast and North Asia, as well as at a part of Russia. Indochina Time is 7 hours ahead of the UTC universal time. It is effective in a few provinces of Siberian region of Russia (the cities of Krasnoyarsk, Kyzyl, Abakan, and others), as well as in Cambodia, Laos, Vietnam, and Thailand.
What time is it in Indochina Time now? It is 18:34:56 right now.
Indochina Time Date and Time Now in Various Formats
| Date Time Format | ICT Date Time Now |
|---|---|
| UTC | 2026-11-09T11:34:56Z |
| ISO-8601 | 2026-11-09T18:34:56+0700 |
| RFC 2822 | Mon, 09 Nov 2026 18:34:56 +0700 |
| RFC 850 | Monday, 09-Nov-26 18:34:56 ICT |
| RFC 1036 | Mon, 09 Nov 26 18:34:56 +0700 |
| RFC 1123 | Mon, 09 Nov 2026 18:34:56 +0700 |
| RFC 822 | Mon, 09 Nov 26 18:34:56 +0700 |
| RFC 3339 | 2026-11-09T18:34:56+07:00 |
| ATOM | 2026-11-09T18:34:56+07:00 |
| COOKIE | Monday, 09-Nov-2026 18:34:56 ICT |
| RSS | Mon, 09 Nov 2026 18:34:56 +0700 |
| W3C | 2026-11-09T18:34:56+07:00 |
| Unix Epoch | 1794224096 |
| YYYY-DD-MM HH:MM:SS | 2026-09-11 18:34:56 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-09-11 06:34:56 PM |
| DD-MM-YYYY HH:MM:SS | 09-11-2026 18:34:56 |
| MM-DD-YYYY HH:MM:SS | 11-09-2026 18:34:56 |